SwordCollider = {}
SwordCollider.__index = SwordCollider

function SwordCollider:Create(me)
	
	SetPower(me,1)
	if(GetOverSoul() >= 100)
	then
		SetPower(me,4)
	end
end

function SwordCollider:Update(me)

	if GetLifetime(me) == 0
	then
		SetHealth(me,0)
	end
	
end

function SwordCollider:Collide(me,you)
	x,y = GetPosition(you)
	y = y - 32
	
	AddOverSoul(3)
	if(GetOverSoul() >= 100)
	then
		
		CreateEmitter("OversoulDamage", x,y) --Should be a unique emitter
		Smash(you,32*GetDirection(me),-12)
		PlaySoundEffect(3);
	else
		PlaySoundEffect(2);
		CreateEmitter("Null", x,y)
	end
	
end